from util.generic.string cimport TString
from util.generic.vector cimport TVector


cdef extern from "datacloud/dev_utils/data/custom_data_utils.h" namespace "DataCloud":
    TVector[float] FromString(const TString&) except +
    TString ToString(const TVector[float]&) except +


def from_string(binary_string):
    return FromString(binary_string)


def to_string(data):
    return ToString(data)
